Subject: Re: bug#68377: Cannot commit parts of *vc-diff* on Microsoft Windows

From: Eli Zaretskii <[email-masked]>
Date: Sun, 14 Jan 2024 18:42:41 +0200

> Date: Thu, 11 Jan 2024 17:07:48 +0200
> From: Dmitry Gutov <[email-masked]>
> Cc: [email-masked], [email-masked]
> 
> On 11/01/2024 16:47, Eli Zaretskii wrote:
> >> Date: Thu, 11 Jan 2024 15:19:26 +0200
> >> Cc:[email-masked]
> >> From: Dmitry Gutov<[email-masked]>
> >>
> >> On 11/01/2024 14:28, Eli Zaretskii wrote:
> >>>> From: Sam Steingold<[email-masked]>
> >>>> Date: Wed, 10 Jan 2024 21:07:14 -0500
> >>>>
> >>>> https://emacs.stackexchange.com/q/80039/795
> >>>>
> >>>> Emacs has a beautiful feature: in the `*vc-diff*` buffer (generated by [`vc-diff`](https://www.gnu.org/software/emacs/manual/html_node/emacs/Old-Revisions.html) either by <kbd>C-x v =</kbd> in a file buffer or by <kbd>=</kbd> in a `*vc-dir*` buffer), kill unwanted hunks with <kbd>k</kbd> (i.e., [`diff-hunk-kill`](https://www.gnu.org/software/emacs/manual/html_node/emacs/Diff-Mode.html)) and then commit the remaining hunks with <kbd>C-x v v</kbd> (i.e., [`vc-next-action`](https://www.gnu.org/software/emacs/manual/html_node/emacs/Basic-VC-Editing.html)). If you don't know about it -- try it, it is incredibly useful!
> >>> (I must say that formatting of this report is AWFUL!  How can a human
> >>> being be expected to read and understand it it??  PLEASE try to make
> >>> bug reports more readable in the future.)
> >> Looked fine to me.
> >>
> >> I think the Markdown format is very readable.
> > It isn't Markdown that bothered me, it's some kind of HTML mixed in,
> > but in an email message whose format is plain text (at least as I got
> > it here).
> 
> The <kbd> tags? These are also supported by Markdown. The links too.
> 
> >> I think this is the same as bug#65049, meaning that it's fixed on
> >> master, but not in Emacs 29.1 (which was the version specified in the
> >> report).
> > Possibly.  If Sam says it works for him on master, we will know.
> 
> Yes, let's see what he says.

Sam, could you please chime in after testing this in Emacs 30?

Thanks.